Indexers - Get Status
傳回索引器目前的狀態和執行歷程記錄。
GET {endpoint}/indexers('{indexerName}')/search.status?api-version=2026-04-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
搜尋服務的端點 URL。 |
|
indexer
|
path | True |
string |
索引子的名稱。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| Accept |
接受標頭。 |
||
| x-ms-client-request-id |
string (uuid) |
一個不透明、全域唯一、由客戶端產生的請求字串識別碼。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
要求已成功。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
api-key
類型:
apiKey
位於:
header
OAuth2Auth
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
範圍
| 名稱 | Description |
|---|---|
| https://search.azure.com/.default |
範例
|
Search |
|
Search |
SearchServiceGetIndexerStatus
範例要求
GET https://exampleservice.search.windows.net/indexers('myindexer')/search.status?api-version=2026-04-01
範例回覆
{
"name": "myindexer",
"status": "running",
"lastResult": {
"status": "success",
"startTime": "2014-11-26T03:37:18.853Z",
"endTime": "2014-11-26T03:37:19.012Z",
"itemsProcessed": 11,
"itemsFailed": 0,
"errors": [],
"warnings": []
},
"executionHistory": [
{
"status": "success",
"startTime": "2014-11-26T03:37:18.853Z",
"endTime": "2014-11-26T03:37:19.012Z",
"itemsProcessed": 11,
"itemsFailed": 0,
"errors": [],
"warnings": []
},
{
"status": "transientFailure",
"startTime": "2014-11-26T03:28:10.125Z",
"endTime": "2014-11-26T03:28:12.007Z",
"itemsProcessed": 1,
"itemsFailed": 2,
"errors": [
{
"key": "",
"statusCode": 400,
"errorMessage": "Document key cannot be missing or empty."
},
{
"key": "document id 1",
"statusCode": 400,
"name": "DocumentExtraction.AzureBlob.MyDataSource",
"errorMessage": "Could not read the value of column 'foo' at index '0'.",
"details": "The file could not be parsed.",
"documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
}
],
"warnings": [
{
"key": "document id",
"message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
},
{
"key": "document id 2",
"name": "Enrichment.LanguageDetectionSkill.#4",
"message": "Document was truncated to 50000 characters.",
"details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
"documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
}
]
}
],
"limits": {
"maxRunTime": "PT22H",
"maxDocumentExtractionSize": 256000000,
"maxDocumentContentCharactersToExtract": 4000000
}
}
SearchServiceGetS3HDUnlimitedIndexerStatus
範例要求
GET https://exampleservice.search.windows.net/indexers('myindexer')/search.status?api-version=2026-04-01
範例回覆
{
"name": "myindexer",
"status": "running",
"lastResult": {
"status": "success",
"startTime": "2014-11-26T03:37:18.853Z",
"endTime": "2014-11-26T03:37:19.012Z",
"itemsProcessed": 11,
"itemsFailed": 0,
"errors": [],
"warnings": []
},
"executionHistory": [
{
"status": "success",
"startTime": "2014-11-26T03:37:18.853Z",
"endTime": "2014-11-26T03:37:19.012Z",
"itemsProcessed": 11,
"itemsFailed": 0,
"errors": [],
"warnings": []
},
{
"status": "transientFailure",
"startTime": "2014-11-26T03:28:10.125Z",
"endTime": "2014-11-26T03:28:12.007Z",
"itemsProcessed": 1,
"itemsFailed": 2,
"errors": [
{
"key": "",
"statusCode": 400,
"errorMessage": "Document key cannot be missing or empty."
},
{
"key": "document id 1",
"statusCode": 400,
"name": "DocumentExtraction.AzureBlob.MyDataSource",
"errorMessage": "Could not read the value of column 'foo' at index '0'.",
"details": "The file could not be parsed.",
"documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
}
],
"warnings": [
{
"key": "document id",
"message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
},
{
"key": "document id 2",
"name": "Enrichment.LanguageDetectionSkill.#4",
"message": "Document was truncated to 50000 characters.",
"details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
"documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
}
]
}
],
"limits": {
"maxRunTime": "PT22H",
"maxDocumentExtractionSize": 256000000,
"maxDocumentContentCharactersToExtract": 4000000
}
}
定義
| 名稱 | Description |
|---|---|
| Accept |
接受標頭。 |
|
Error |
資源管理錯誤附加資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。 |
|
Indexer |
表示個別索引器執行的結果。 |
|
Indexer |
代表個別索引子執行的狀態。 |
|
Indexer |
代表整體索引子狀態。 |
|
Search |
表示專案或檔層級的索引編製錯誤。 |
|
Search |
代表索引器可施加的限制。 |
|
Search |
表示索引器目前的狀態和執行歷程記錄。 |
|
Search |
表示專案層級警告。 |
Accept
接受標頭。
| 值 | Description |
|---|---|
| application/json;odata.metadata=minimal |
ErrorAdditionalInfo
資源管理錯誤附加資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
附加資訊。 |
|
| type |
string |
其他資訊類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤附加資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤物件。 |
IndexerExecutionResult
表示個別索引器執行的結果。
| 名稱 | 類型 | Description |
|---|---|---|
| endTime |
string (date-time) |
如果執行已完成,則為這個索引器執行的結束時間。 |
| errorMessage |
string |
指出最上層錯誤的錯誤訊息,如果有的話。 |
| errors |
專案層級的索引編製錯誤。 |
|
| finalTrackingState |
string |
變更索引器執行完成的追蹤狀態。 |
| initialTrackingState |
string |
變更索引器執行開始的追蹤狀態。 |
| itemsFailed |
integer (int32) |
此索引器執行期間無法編製索引的項目數目。 |
| itemsProcessed |
integer (int32) |
在這個索引器執行期間處理的項目數目。 這包括成功處理的項目和嘗試編製索引但失敗的專案。 |
| startTime |
string (date-time) |
這個索引器執行的開始時間。 |
| status |
這個索引器執行的結果。 |
|
| warnings |
專案層級的索引編製警告。 |
IndexerExecutionStatus
代表個別索引子執行的狀態。
| 值 | Description |
|---|---|
| transientFailure |
索引子調用失敗,但失敗可能是暫時性的。 索引子調用將根據排程繼續進行。 |
| success |
索引子執行已順利完成。 |
| inProgress |
索引子執行正在進行中。 |
| reset |
索引子已重設。 |
IndexerStatus
代表整體索引子狀態。
| 值 | Description |
|---|---|
| unknown |
表示索引子處於未知狀態。 |
| error |
表示索引子發生錯誤,如果沒有人為介入,就無法更正。 |
| running |
表示索引子正常執行。 |
SearchIndexerError
表示專案或檔層級的索引編製錯誤。
| 名稱 | 類型 | Description |
|---|---|---|
| details |
string |
此外,有關錯誤的詳細資訊,可協助偵錯索引器。 這不一定是可用的。 |
| documentationLink |
string |
這些錯誤類別疑難解答指南的連結。 這不一定是可用的。 |
| errorMessage |
string |
描述處理專案時發生錯誤的訊息。 |
| key |
string |
索引編製失敗之專案的索引鍵。 |
| name |
string |
產生錯誤的來源名稱。 例如,這可能是指附加技能集中的特定技能。 這不一定是可用的。 |
| statusCode |
integer (int32) |
狀態代碼,指出索引作業失敗的原因。 可能的值包括:400 表示格式錯誤的輸入檔、找不到檔的 404、版本衝突為 409、索引暫時無法使用時為 422,或服務忙碌時為 503。 |
SearchIndexerLimits
代表索引器可施加的限制。
| 名稱 | 類型 | Description |
|---|---|---|
| maxDocumentContentCharactersToExtract |
integer (int64) |
要從檔擷取以編製索引的字元數上限。 |
| maxDocumentExtractionSize |
integer (int64) |
檔的大小上限,以位元組為單位,這會被視為有效的索引編制。 |
| maxRunTime |
string (duration) |
索引器允許執行一次執行的最大持續時間。 |
SearchIndexerStatus
表示索引器目前的狀態和執行歷程記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| executionHistory |
最近索引器執行的歷程記錄,依反向時間順序排序。 |
|
| lastResult |
最近或進行中索引器執行的結果。 |
|
| limits |
索引器的執行限制。 |
|
| name |
string |
索引子的名稱。 |
| status |
整體索引器狀態。 |
SearchIndexerWarning
表示專案層級警告。
| 名稱 | 類型 | Description |
|---|---|---|
| details |
string |
此外,有關警告的詳細資訊,可協助偵錯索引器。 這不一定是可用的。 |
| documentationLink |
string |
這些警告類別疑難解答指南的連結。 這不一定是可用的。 |
| key |
string |
產生警告之專案的索引鍵。 |
| message |
string |
描述處理專案時所發生警告的訊息。 |
| name |
string |
發出警告的來源名稱。 例如,這可能是指附加技能集中的特定技能。 這不一定是可用的。 |